<input type="hidden" name="_id" value="{{ record._id }}" />
<div class="row">
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "from_client"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <select name="client_from" class="form-control" data-ajax-select-target="/api/v1/clients/all?fields=name,business_type" data-ajax-select-value="_id" data-ajax-select-label="name,business_type" required placeholder="-- Select Client --" data-ajax-select-selected="{{ record.client_from.id }}" data-default-value="{{ record.client_from.id }}">
                        <option value="">-- Select Client --</option>
                    </select>
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.client_from }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "for_client"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <select name="client_for" class="form-control" data-ajax-select-target="/api/v1/clients/all?fields=name,business_type" data-ajax-select-value="_id" data-ajax-select-label="name,business_type" required placeholder="-- Select Client --" data-ajax-select-selected="{{ record.client_for.id }}" data-default-value="{{ record.client_for.id }}">
                        <option value="">-- Select Client --</option>
                    </select>
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.client_for }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
    <div class="col-12 col-md-6">
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_delivered"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <input type="text" name="date_delivered" class="form-control datepicker" required value="{{ record.date_delivered|humandate(date_only=True) }}" data-default-value="{{ record.date_delivered|humandate(date_only=True) }}" />
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.date_delivered|humandate(date_only=True) }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "receipt_no"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <input type="text" name="receipt_no" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.receipt_no }}" data-default-value="{{ record.receipt_no }}" />
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.receipt_no }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "purchase_order_no"|normalize|title }}*</label>
                    {% if editable|default(True) %}
                    <input type="text" name="purchase_order_no" class="form-control" oninput="this.value = this.value.toUpperCase()" maxlength="32" required value="{{ record.purchase_order_no }}" data-default-value="{{ record.purchase_order_no }}" />
                    {% else %}
                    <input type="text" class="form-control" value="{{ record.purchase_order_no }}" readonly />
                    {% endif %}
                </div>
            </div>
        </div>
        <hr />
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_created"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.date_created|humandate }} by {{ record.created_by }}" readonly />
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "status"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{% if record.status == 0 %}Draft{% elif record.status == 1 %}Review Pending/Ongoing{% elif record.status == 2 %}Completed{% elif record.status == -1 %}Void{% else %}N/A{% endif %}" readonly />
                </div>
            </div>
        </div>
        {% if record.date_submitted %}
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_submitted"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.date_submitted|humandate }} by {{ record.submitted_by }}" readonly />
                </div>
            </div>
        </div>
        {% endif %}
        {% if record.date_completed %}
        <div class="row">
            <div class="col-12">
                <div class="form-group">
                    <label>{{ "date_completed"|normalize|title }}</label>
                    <input type="text" class="form-control" value="{{ record.date_completed|humandate }} by {{ record.completed_by }}" readonly />
                </div>
            </div>
        </div>
        {% endif %}
    </div>
</div>
<div class="row">
    <div class="col-12" data-item-container>
        <h5>Items</h5>
        {% if editable|default(True) %}
            <div class="row">
                <div class="col-12 col-md-3">
                    <a class="btn btn-warning btn-sm btn-block" href="javascript:;" data-item-toggle="add"> <i class="fa fa-plus"></i> Add Item</a>
                </div>
            </div>
            {% for item in record.items %}
                <div class="row {{ loop.cycle('gray-bg', '') }}" data-form-dynamic="default">
                    {% if editable|default(True) %}
                    <div class="col-4 offset-8 col-md-3 offset-md-9">
                        <a href="javascript:;" class="btn btn-secondary btn-sm btn-block" data-item-toggle="delete"> Delete Item</a>
                    </div>
                    {% endif %}
                    <div class="col-6 col-md-4">
                        <div class="form-group">
                            <label>Item Code*</label>
                            <select name="items-item_code" class="form-control" data-ajax-select-target="/api/v1/raw_materials/all?fields=description,item_code" data-ajax-select-value="_id" data-ajax-select-label="description,item_code" placeholder="-- Select Item Code --" data-ajax-select-selected="{{ item.item_code }}" required data-default-value="{{ item.item_code }}">
                                <option value="">-- Select Item Code --</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-6 col-md-4">
                        <div class="form-group">
                            <label>Quantity*</label>
                            <input type="number" name="items-quantity" class="form-control" min="0" step="0.0001" required value="{{ item.quantity }}" data-default-value="{{ item.quantity }}" />
                        </div>
                    </div>
                    <div class="col-6 col-md-4">
                        <div class="form-group">
                            <label>Price per Unit</label>
                            <input type="number" name="items-price_per_unit" class="form-control" min="0.01" step="0.01" value="{{ item.price_per_unit }}" data-default-value="{{ item.price_per_unit }}" />
                        </div>
                    </div>
                    <div class="col-6 col-md-4">
                        <div class="form-group">
                            <label>Expiry Date</label>
                            <input type="text" name="items-expiry_date" class="form-control datepicker" value="{{ item.expiry_date }}" data-default-value="{{ item.expiry_date }}" />
                        </div>
                    </div>
                    <div class="col-6 col-md-3">
                        <div class="form-group">
                            <label>Manufacturing Date</label>
                            <input type="text" name="items-manufacturing_date" class="form-control datepicker" value="{{ item.manufacturing_date }}" data-default-value="{{ item.manufacturing_date }}" />
                        </div>
                    </div>
                </div>
            {% endfor %}
        {% else %}
        <table class="table table-striped table-hover table-bordered">
            <thead>
                <tr>
                    <th>Item Code</th>
                    <th>Description</th>
                    <th>Quantity</th>
                    <th>Price per Unit</th>
                    <th>Lot Price</th>
                    <th>Expiry Date</th>
                    <th>Manufacturing Date</th>
                    <th>Location</th>
                    <th>QC No.</th>
                    <th>Status</th>
                </tr>
            </thead>
            <tbody>
                {% for item in record.items %}
                    <tr>
                        <td>{{ item.item_code }}</td>
                        <td>{{ item.description }}</td>
                        <td>{{ item.quantity }}</td>
                        <td>{{ item.price_per_unit }}</td>
                        <td>{{ item.quantity|float * item.price_per_unit|float }}</td>
                        <td>{{ item.expiry_date }}</td>
                        <td>{{ item.manufacturing_date }}</td>
                        <td>{% if item.location %}{{ item.location.name }} - {{ item.location.address }}{% endif %}</td>
                        <td>{{ item.quality_control_no }}</td>
                        <td>
                            {% if item.status == 0 %}
                                Pending
                            {% elif item.status == 1 %}
                                Quality Passed
                            {% elif item.status == 2 %}
                                Approved
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
        {% endif %}
    </div>
</div>
<script>
    $dom.document.ready(function() {
        $('.datepicker').datepicker();
        {% if editable %}
        $('[data-crud="details"] .card-footer').showCustom();
        {% else %}
        $('[data-crud="details"] .card-footer').hideCustom();
        {% endif %}
    });
</script>
